EDIT - feature request #10087

Add taxon node source to status notes in cdmlight
07/11/2022 11:42 AM - Andreas Mller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.32

Severity: normal

Description

Associated revisions

Revision a9f7b763 - 07/11/2022 01:03 PM - Andreas Miiller

ref #10087 add taxon node source to status notes in cdmlight

Revision bifafec1 - 07/11/2022 08:39 PM - Andreas Miiller

ref #10087 make placement source and placement source FK explicit columns and refactor test (also ref #10081 )

Revision 7de1e8a5 - 07/11/2022 08:41 PM - Andreas Miiller

ref #10087 make placement source and placement source FK explicit columns and refactor test (also ref #10081 )

History

#1 - 07/11/2022 11:43 AM - Andreas Miiller
- File clipboard-202207111143-eebbp.png added
WGB:

Hallo,
mir ist aufgefallen, dass in Taxon.csv zwar die ,Status notes* (aus dem Taxon Node Dialog) ausgegeben werden, aber nicht die dazugehorige Quelle
(,Placement Source” und das betreffende Detail. Kénnte man das (als Kurzzitat) mit in die StatusNotes — Ausgabe aufnehmen?

Also dann z.B. hier
3% Edit taxon node O *

Edit Taxon Node

laxon information
Taxon Achyranthes hispida Pennant sec. Berendschn 2022 =

Secundumn reference

Secundum Details

Faxon Node
Parent

Placement status Excluded -

Status notes
" .. is according to Merrill 1948 (). Arneld Arbor. 2%: 188) <i= Acalypha hispida</i= Burm. f. (Euphorbiaceae)”

Placement source Backer, C. A, 1949: Amaranthaceae, Flora Malesiana 4 =9 m
Details EE]
b Link(s) +

Ausgabe in CDM-Light:

" ... is according to Merrill 1948 (J. Arnold Arbor. 29: 188) Acalypha hispida Burm. f. (Euphorbiaceae)" [Backer 1949: 33]
#2 - 07/11/2022 12:55 PM - Andreas Miiller

AM:

Ganz sicher bin ich mir aber nicht, ob das semantisch immer 100% richtig ist. Die Placement Source ist ja eine generelle Quelle fur das Placement,
nicht nur fir die Status Note. Leider fehlt da eine Differenzierung im Model.

Die Frage wére aber, ob die Information nicht auch dann zur Verfligung stehen sollte, wenn keine Status Note existiert, wenn also nur eine Quelle

angegeben wird die belegt, dass dieses Taxon Kinde des Parent Taxons sein soll. Ob das in der Praxis so benutzt wird oder es zumindest in der
Zukunft solche Nutzungen geben kdnnte, weil3 ich nicht, aber modellseitig ist es zumindest so gedacht.

... Allerdings wiirde ich eine Losung bei der das Kurzzitat in eine separate Spalte aufgenommen wird aus den genannten Griinden bevorzugen.
Das lieBBe sich dann ja sehr leicht mit

{statusNote}+* [“+{kurz Zitat}+*]*

so zusammenfiigen wie du es brauchst fir den Output.

#3 - 07/11/2022 01:05 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 70

This is implemented, however, we still need to discuss if this is really the correct solution or if we better should add a separate column for the source.

#4 - 07/21/2022 06:59 PM - Andreas Miiller
- Priority changed from Highest to Priority 14

#5 - 08/02/2022 03:30 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

Sent mail to WGB for final testing.

Katja, could you please review?

#6 - 08/23/2022 10:25 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

The code looks fine and if WB checked the output, the ticket can be closed

#7 - 08/23/2022 11:10 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 70 to 100

| think we can close this ticket. If there are open issues reported by users we will open a new ticket.
